#pragma once
#include <stdio.h>
#include "CStrTable.h"

/////////////////////////////////////////////////////////////////////////////////////////////////////////////

class CINIStrTable : public CStrTable
{
protected:
	bool ProcessLine(char *szInputString, int iLine);
	bool LoadLine(FILE *fp, char *szInputString, int iMaxLength);
public:
	bool SaveToFile(char *szFilename);
	bool LoadFromFile(char *szFilename);
	bool CreateNew(void);

	CINIStrTable(){}
	~CINIStrTable(){}
};

/////////////////////////////////////////////////////////////////////////////////////////////////////////////